libzypp: ztui::TableRow Class Reference

libzypp 17.38.8

ztui::TableRow Class Reference

`#include <zypp-tui/Table.h>`

Inheritance diagram for ztui::TableRow:

## Classes
struct | Less

## Public Types
using | container = std::vector<std::string>

## Public Member Functions
| TableRow ()
| Binary predicate for sorting.
| TableRow (unsigned c)
| TableRow (ColorContext ctxt_r)
| TableRow (unsigned c, ColorContext ctxt_r)
TableRow & | add (std::string s)
template<class Tp_>
TableRow & | add (const Tp_ &val_r)
TableRow & | addDetail (std::string s)
template<class Tp_>
TableRow & | addDetail (const Tp_ &val_r)
bool | empty () const
unsigned | size () const
unsigned | cols () const
std::ostream & | dumbDumpTo (std::ostream &stream) const
| tab separated output
std::ostream & | dumpTo (std::ostream &stream, const Table &parent) const
| output with parent table attributes
const boost::any & | userData () const
void | userData (const boost::any &n_r)
const container & | columns () const
container & | columns ()
const container & | columnsNoTr () const
container & | columnsNoTr ()

## Protected Attributes
bool | _translateColumns = false

## Private Member Functions
std::ostream & | dumpDetails (std::ostream &stream, const Table &parent) const

## Private Attributes
container | _columns
container | _translatedColumns
container | _details
ColorContext | _ctxt
boost::any | _userData
| user defined sort index, e.g. if string values don't work due to coloring

## Detailed Description

Definition at line 166 of file Table.h.

## Member Typedef Documentation

## ◆ container

using ztui::TableRow::container = std::vector<std::string>

Definition at line 219 of file Table.h.

## Constructor & Destructor Documentation

## ◆ TableRow() [1/4]

ztui::TableRow::TableRow | ( |  | ) |
| inline

Binary predicate for sorting.

Definition at line 174 of file Table.h.

## ◆ TableRow() [2/4]

ztui::TableRow::TableRow | ( | unsigned | c | ) |
| inlineexplicit

Definition at line 178 of file Table.h.

## ◆ TableRow() [3/4]

ztui::TableRow::TableRow | ( | ColorContext | ctxt_r | ) |
| inlineexplicit

Definition at line 182 of file Table.h.

## ◆ TableRow() [4/4]

ztui::TableRow::TableRow | ( | unsigned | c,
|  | ColorContext | ctxt_r )
| inline

Definition at line 186 of file Table.h.

## Member Function Documentation

## ◆ dumpDetails()

std::ostream & ztui::TableRow::dumpDetails | ( | std::ostream & | stream,
|  | const Table & | parent ) const
| private

Definition at line 195 of file Table.cc.

## ◆ add() [1/2]

TableRow & ztui::TableRow::add | ( | std::string | s | ) |

Definition at line 166 of file Table.cc.

## ◆ add() [2/2]

template<class Tp_>

TableRow & ztui::TableRow::add | ( | const Tp_ & | val_r | ) |
| inline

Definition at line 193 of file Table.h.

## ◆ addDetail() [1/2]

TableRow & ztui::TableRow::addDetail | ( | std::string | s | ) |

Definition at line 174 of file Table.cc.

## ◆ addDetail() [2/2]

template<class Tp_>

TableRow & ztui::TableRow::addDetail | ( | const Tp_ & | val_r | ) |
| inline

Definition at line 200 of file Table.h.

## ◆ empty()

bool ztui::TableRow::empty | ( |  | ) | const
| inline

Definition at line 204 of file Table.h.

## ◆ size()

unsigned ztui::TableRow::size | ( |  | ) | const
| inline

Definition at line 208 of file Table.h.

## ◆ cols()

unsigned ztui::TableRow::cols | ( |  | ) | const
| inline

Definition at line 211 of file Table.h.

## ◆ dumbDumpTo()

std::ostream & ztui::TableRow::dumbDumpTo | ( | std::ostream & | stream | ) | const

tab separated output

Definition at line 181 of file Table.cc.

## ◆ dumpTo()

std::ostream & ztui::TableRow::dumpTo | ( | std::ostream & | stream,
|  | const Table & | parent ) const

output with parent table attributes

Definition at line 206 of file Table.cc.

## ◆ userData() [1/2]

const boost::any & ztui::TableRow::userData | ( |  | ) | const
| inline

Definition at line 221 of file Table.h.

## ◆ userData() [2/2]

void ztui::TableRow::userData | ( | const boost::any & | n_r | ) |
| inline

Definition at line 224 of file Table.h.

## ◆ columns() [1/2]

const container & ztui::TableRow::columns | ( |  | ) | const
| inline

Definition at line 229 of file Table.h.

## ◆ columns() [2/2]

container & ztui::TableRow::columns | ( |  | ) |
| inline

Definition at line 232 of file Table.h.

## ◆ columnsNoTr() [1/2]

const container & ztui::TableRow::columnsNoTr | ( |  | ) | const
| inline

Definition at line 235 of file Table.h.

## ◆ columnsNoTr() [2/2]

container & ztui::TableRow::columnsNoTr | ( |  | ) |
| inline

Definition at line 238 of file Table.h.

## Member Data Documentation

## ◆ _translateColumns

bool ztui::TableRow::_translateColumns = false
| protected

Definition at line 242 of file Table.h.

## ◆ _columns

container ztui::TableRow::_columns
| private

Definition at line 244 of file Table.h.

## ◆ _translatedColumns

container ztui::TableRow::_translatedColumns
| private

Definition at line 245 of file Table.h.

## ◆ _details

container ztui::TableRow::_details
| private

Definition at line 246 of file Table.h.

## ◆ _ctxt

ColorContext ztui::TableRow::_ctxt
| private

Definition at line 247 of file Table.h.

## ◆ _userData

boost::any ztui::TableRow::_userData
| private

user defined sort index, e.g. if string values don't work due to coloring

Definition at line 248 of file Table.h.

The documentation for this class was generated from the following files:

- zypp-tui/Table.h
- zypp-tui/Table.cc